
const reColumns = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },

  {
    prop: "cat",
    label: "分类",
    span: 8,
  },

  {
    prop: "brand_name",
    label: "品牌",
    span: 6,
  },


  {
    prop: "unit",
    label: "单位",
    span: 4,
  },




  {
    prop: "send_way",
    label: "发货方式",
    _slot_: "send_way",
    span: 6,
  },

  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 4,
  },
  {
    prop: "pay_way",
    label: "付款方式",
    _slot_: "pay_way",

    span: 4,
  },


  {
    prop: "weight",
    label: "商品总克重",
    append: 'g',
    span: 6,
  },
  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
    span: 10,
  },
  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },



]
const coveColumns = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },

  {
    prop: "cat",
    label: "分类",
    span: 8,
  },

  {
    prop: "brand_name",
    label: "品牌",
    span: 6,
  },


  {
    prop: "unit",
    label: "单位",
    span: 4,
  },
  {
    prop: "send_way",
    label: "发货方式",
    _slot_: "send_way",
    span: 6,
  },

  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 4,
  },
  {
    prop: "pay_way",
    label: "付款方式",
    _slot_: "pay_way",
    span: 4,
  },


  {
    prop: "weight",
    label: "商品总克重",
    append: 'g',
    span: 6,
  },
  {
    prop: "creater",
    label: "反馈人",
    span: 4,
  },
  {
    prop: "addtime",
    label: "反馈时间",
    span: 6,
  },
  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
    span: 24,
  },
  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },
  {
    prop: "remark",
    label: "采返备注",
    span: 24,
  },


  {
    prop: "good_img",
    label: "商品图片",
    _slot_: "good_img",
    span: 24,

  }

]
const onlineColumns = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },

  // {
  //   prop: "speclist",
  //   label: "规格",
  //   _slot_: "speclist",
  // },
  // {
  //   prop: "supplierName",
  //   label: "供应商名称",
  // },

  {
    prop: "good_img",
    _slot_: "good_img",
    label: "商品主图",
  },
  {
    prop: "good_info_img",
    _slot_: "good_info_img",
    label: "详情图",
  },
  {
    prop: "company",
    label: "业务企业名称",
    _slot_: "company",
  },
  // {
  //   prop: "online_reason",
  //   label: "上线原因",
  // },



  // {
  //   prop: "creater",
  //   label: "申请人",
  //   span: 6,
  // },
  {
    prop: "platform_name",
    label: "所属平台",
    span: 6,
  },
  {
    prop: "brand_name",
    label: "品牌",
    span: 6,
  },
  // {
  //   prop: "platform_code_en",
  //   label: "平台商品编码",
  //   span: 6,
  // },
  // {
  //   prop: "online_time",
  //   label: "上线时间",
  //   span: 8,
  // },
  {
    prop: "cat",
    label: "分类",
    span: 8,
  },


  {
    prop: "unit",
    label: "单位",
    span: 4,
  },


  // {
  //   prop: "is_auth",
  //   label: "供应商权限",
  //   _slot_: "is_auth",
  //   span: 6,
  // },

  {
    prop: "is_stock",
    label: "是否库存品",
    _slot_: "is_stock",
    span: 6,
  },
  {
    prop: "supply_area",
    label: "供货区域",
    _slot_: "supply_area",
    span: 6,
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    span: 8,
  },
  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 4,
  },
  {
    prop: "delivery_day",
    label: "物流时间",
    append: '天',
    span: 4,
  },
  {
    prop: "lead_time",
    label: "供货周期",
    append: '天',
    span: 4,
  },
  {
    prop: "sample_day",
    label: "调样周期",
    append: '天',
    span: 4,
  },
  {
    prop: "exclusive",
    label: "专属类型",
    _slot_: "exclusive",
    span: 6,
  },
  {
    prop: "weight",
    label: "商品总克重",
    append: 'g',
    span: 6,
  },
  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
  },

  // {
  //   prop: "packing_list",
  //   label: "包装清单",
  //   span: 8,
  // },
  // {
  //   prop: "packing_way",
  //   label: "包装方式",
  //   span: 8,
  // },
  // {
  //   prop: "packing_spec",
  //   label: "装箱规格",
  //   span: 8,
  // },
  // {
  //   prop: "packing_weight",
  //   label: "装箱重量(g)",
  //   span: 8,
  // },
  // {
  //   prop: "packing_size",
  //   label: "装箱尺寸",
  //   span: 8,
  // },
  // {
  //   prop: "good_bar",
  //   label: "商品条形码",
  //   span: 8,
  // },

  {
    prop: "delivery_place_cn",
    label: "发货地",
    span: 8,
  },
  {
    prop: "customized",
    label: "工期",
    append: '天',
    span: 8,
  },
  {
    prop: "purchase",
    label: "采购人",
    span: 8,
  },
  // {
  //   prop: "origin_place_cn",
  //   label: "产地",
  //   span: 8,
  // },



  // {
  //   prop: "cert_fee",
  //   label: "证书费(元)",
  //   span: 8,
  // },
  // {
  //   prop: "packing_fee",
  //   label: "包装费(元)",
  //   span: 8,
  // },
  // {
  //   prop: "cost_fee",
  //   label: "成本工艺费(元)",
  //   span: 8,
  // },

  // {
  //   prop: "mark_fee",
  //   label: "加标费(元)",
  //   span: 8,
  // },
  // {
  //   prop: "demo_fee",
  //   label: "打样费(元)",
  //   span: 8,
  // },
  // {
  //   prop: "open_fee",
  //   label: "开模费(元)",
  //   span: 8,
  // },

  // {
  //   prop: "sample_fee",
  //   label: "调样费(元)",
  //   span: 8,
  // },
  // {
  //   prop: "market_price",
  //   label: "市场价(元)",
  //   span: 8,
  // },
  // {
  //   prop: "nake_price",
  //   label: "成本裸价",
  //   span: 8,
  // },
  // {
  //   prop: "is_step",
  //   label: "启用阶梯",
  //   _slot_: "is_step",
  //   span: 8,
  // },
  // {
  //   prop: "exam_status",
  //   label: "状态",
  //   _slot_: "exam_status",
  //   span: 8,
  // // },
  // {
  //   prop: "updatetime",
  //   label: "更新时间",
  //   span: 8,
  // },
  // {
  //   prop: "addtime",
  //   label: "创建时间",
  //   span: 8,
  // },

  // {
  //   prop: "online_remark",
  //   label: "上线备注",
  //   span: 24,
  // },
  {
    prop: "after_sales",
    label: "售后说明",
    span: 24,
  },
  {
    prop: "good_remark",
    label: "商品备注",
    span: 24,
  },

  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },




]
const costColumns = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },

  // {
  //   prop: "speclist",
  //   label: "规格",
  //   _slot_: "speclist",
  // },
  // {
  //   prop: "supplierName",
  //   label: "供应商名称",
  // },

  {
    prop: "good_img",
    _slot_: "good_img",
    label: "商品主图",
  },

  {
    prop: "good_info_img",
    _slot_: "good_info_img",
    label: "详情图",
  },
  {
    prop: "company",
    label: "业务企业名称",
    _slot_: "company",
  },
  {
    prop: "supplierName",
    label: "供应商名称",
    _slot_: "supplierName",
  },
  {
    prop: "cat",
    label: "分类",
    span: 8,
  },
  {
    prop: "unit",
    label: "单位",
    span: 4,
  },
  {
    prop: "brand_name",
    label: "品牌",
    span: 6,
  },






  {
    prop: "is_auth",
    label: "供应商权限",
    _slot_: "is_auth",
    span: 6,
  },

  {
    prop: "is_stock",
    label: "是否库存品",
    _slot_: "is_stock",
    span: 6,
  },
  {
    prop: "supply_area",
    label: "供货区域",
    _slot_: "supply_area",
    span: 6,
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    span: 8,
  },
  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 4,
  },
  // {
  //   prop: "delivery_day",
  //   label: "物流时间",
  //   append: '天',
  //   span: 4,
  // },
  // {
  //   prop: "lead_time",
  //   label: "供货周期",
  //   append: '天',
  //   span: 4,
  // },
  // {
  //   prop: "sample_day",
  //   label: "调样周期",
  //   append: '天',
  //   span: 4,
  // },
  {
    prop: "exclusive",
    label: "专属类型",
    _slot_: "exclusive",
    span: 6,
  },
  {
    prop: "weight",
    label: "商品总克重",
    append: 'g',
    span: 6,
  },
  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
  },
  {
    prop: "after_sales",
    label: "售后说明",
    span: 24,
  },
  {
    prop: "good_remark",
    label: "商品备注",
    span: 24,
  },

  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },


]
//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
const options8 = [
  // { id: "0", name: "待提交" },
  { id: "1", name: "待完善成本" },
  { id: "2", name: "待产品审核" },
  { id: "3", name: "待财务定价" },
  { id: "4", name: "待财务审核定价" },
  { id: "5", name: "待上线" },
  { id: "6", name: "上线成功" },
  { id: "7", name: "审核失败" },
  { id: "8", name: "已下线" },
]

const options9 = [
  { id: "0", name: "现结" },
  { id: "1", name: "月清" },
  { id: "2", name: "双月清" },
]

export { onlineColumns, reColumns, costColumns, coveColumns, options1, options2, options3, options4, options5, options6, options7, options8, options9 }

