
//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
const listCol = [
  {
  type: "selection",
    fixed: "left",
    _noset_: true
  },
  {
    prop: "spuCode",
    label: "编号",
    width: "160px",
  },
  // {
  //   prop: "good_img",
  //   label: "图片",
  //   _slot_: "good_img",
  //   width: "45px",
  // },
  {
    prop: "good_name",
    label: "名称",
    "min-width": "160px",
  },
  {
    prop: "cat_name",
    label: "分类",
  },
  {
    prop: "brand_name",
    label: "品牌",
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    width: "70px",
  },
  // {
  //   prop: "status",
  //   label: "状态",
  //   _slot_: "status",
  //   width: "118px",
  // },
  // {
  //   prop: "supplierNo",
  //   label: "供应商编号",
  //   width: "110px",
  // },
  // {
  //   prop: "supplier_name",
  //   label: "供应商名称",
  //   width: "110px",
  // },
  {
    prop: "companyNo",
    label: "业务公司编号",
    width: "110px",
  },
  {
    prop: "company",
    label: "业务公司名称",
    width: "110px",
  },


  {
    prop: "addtime",
    label: "创建时间",
    width: "140px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation",
  },
]
const rules = {
  cat_id: [
    {
      type: "array",
      required: true,
      message: "商品分类",
      trigger: "change",
    },
  ],
  brandid: [
    {
      type: "array",
      required: false,
      message: "商品品牌",
      trigger: "change",
    },
  ],
  noble_weight: [
    {
      required: true,
      message: "贵金属重量为合法数字",
      trigger: "blur",
    },
  ],
  weight: [
    {
      required: true,
      message: "商品总重量为合法数字",
      trigger: "blur",
    },
  ],
  good_type: [
    {
      required: true,
      message: "请选择是否定制",
      trigger: "change",
    },
  ],
  is_stock: [
    {
      required: true,
      message: "请选择是否库存品",
      trigger: "change",
    },
  ],
  company_id: [
    {
      required: true,
      message: "请选择业务公司",
      trigger: "change",
    },
  ],
  supplierNo: [
    {
      type: "array",
      required: true,
      message: "请选择供应商",
      trigger: "change",
    },
  ],
  is_auth: [
    {
      required: true,
      message: "商品主图",
      trigger: "change",
    },
  ],
  tax: [
    {
      required: true,
      message: "请选择税率",
      trigger: "change",
    },
  ],
  good_name: [
    {
      required: true,
      message: "请输入商品名称",
      trigger: "blur",
    },
  ],
  unit: [
    {
      type: "array",
      required: true,
      message: "请输入商品单位",
      trigger: "blur",
    },
  ],
  is_exclusive: [
    {
      required: true,
      message: "请选择专属类型",
      trigger: "change",
    },
  ],
  noble_metal: [
    {
      required: true,
      message: "请选择贵金属种类",
      trigger: "change",
    },
  ],
  is_gold_price: [
    {
      required: true,
      message: "请选择是否启用实时金价",
      trigger: "change",
    },
  ],
  moq: [
    {
      required: true,
      message: "定制起订量应为合法数字",
      trigger: "blur",
    },
  ],
  customized: [
    {
      required: true,
      message: "定制工期为合法数字",
      trigger: "blur",
    },
  ],
  after_sales: [
    {
      required: true,
      message: "售后说明不能为空",
      trigger: "blur",
    },
  ],
  good_remark: [
    {
      required: true,
      message: "商品备注不能为空",
      trigger: "blur",
    },
  ],
  //包装/发货/图片
  packing_list: [
    {
      required: true,
      message: "请输入包装清单",
      trigger: "blur",
    },
  ],
  packing_way: [
    {
      required: true,
      message: "请输入包装方式",
      trigger: "blur",
    },
  ],

  packing_spec: [
    {
      required: true,
      message: "请输入装箱规格",
      trigger: "blur",
    },
  ],
  packing_weight: [
    {
      required: true,
      message: "请输入装箱重量",
      trigger: "blur",
    },
  ],
  packing_szie: [
    {
      required: true,
      message: "请输入装箱尺寸",
      trigger: "blur",
    },
  ],
  supply_area: [
    {
      required: true,
      message: "请选择供货区域",
      trigger: "change",
    },
  ],
  delivery_place: [
    {
      type: "array",
      required: true,
      message: "请选择发货地",
      trigger: "change",
    },
  ],
  origin_place: [
    {
      type: "array",
      required: true,
      message: "请选择产地",
      trigger: "change",
    },
  ],
  delivery_day: [
    {
      required: true,
      message: "请输入物流时间",
      trigger: "blur",
    },
  ],
  lead_time: [
    {
      required: true,
      message: "请输入供货周期",
      trigger: "blur",
    },
  ],
  sample_day: [
    {
      required: true,
      message: "请输入调样周期",
      trigger: "blur",
    },
  ],
  packing_size: [
    {
      required: true,
      message: "请输入装箱尺寸",
      trigger: "blur",
    },
  ],
  good_thumb_img: [
    {
      required: true,
      message: "商品主图",
      trigger: "change",
    },
  ],
  // good_img: [
  //   {
  //     required: true,
  //     message: "商品详情主图",
  //     trigger: "change",
  //   },
  // ],
  good_info_img: [
    {
      type: "array",
      required: true,
      message: "商品详情介绍图",
      trigger: "change",
    },
  ],

  //固定成本
  cert_fee: [
    {
      required: true,
      message: "证书费应为合法数字",
      trigger: "blur",
    },
  ],
  packing_fee: [
    {
      required: true,
      message: "包装费应为合法数字",
      trigger: "blur",
    },
  ],
  cost_fee: [
    {
      required: true,
      message: "成本工艺费应为合法数字",
      trigger: "blur",
    },
  ],
  mark_fee: [
    {
      required: true,
      message: "加标费应为合法数字",
      trigger: "blur",
    },
  ],
  demo_fee: [
    {
      required: true,
      message: "打样应为合法数字",
      trigger: "blur",
    },
  ],
  open_fee: [
    {
      required: true,
      message: "开模费应为合法数字",
      trigger: "blur",
    },
  ],
  sample_fee: [
    {
      required: true,
      message: "调样费应为合法数字",
      trigger: "blur",
    },
  ],
  market_price: [
    {
      required: true,
      message: "市场价应为合法数字",
      trigger: "blur",
    },
  ],
  nake_price: [
    {
      required: true,
      message: "含税成本合计应为合法数字",
      trigger: "blur",
    },
  ],
  is_step: {
    required: true,
    message: "请选择是否启用阶梯",
    trigger: "change",
  },
}

export { options1, options2, options3, options4, options5, options6, options7, listCol, rules }