const columns = [
  {
    prop: "zxNo",
    label: "咨询单编号",
    width: "158px",
  },
  {
    prop: "infoNo",
    label: "咨询阶梯编号",
    width: "155px",
  },

  {
    prop: "bidNo",
    label: "反馈单编号",
    width: "158px",
  },
  
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    'min-width': "220px",
  },
  {
    prop: "can",
    label: "分类",
    _slot_: "can",
    'min-width': "180px",
  },


  {
    prop: "brand_name",
    label: "品牌",
    width: "80px",
  },


  {
    prop: "unit",
    label: "单位",
    width: "60px",
  },
  {
    prop: "creater",
    label: "采购员",
    width: "60px",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "145px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation",
  },
]
const statusOptions = [
  { value: "0", label: "待与供应商确认" },
  { value: "1", label: "待入库" },
  { value: "2", label: "部分入库" },
  { value: "3", label: "入库完成" },
  { value: "4", label: "已取消订单" },
];
const order_type_options = [
  {
    value: "1",
    label: "备货单",
  },
  {
    value: "2",
    label: "线上非库存品",
  },
  {
    value: "3",
    label: "咨询采返",
  },
  { value: "4", label: "项目采返" },
];
//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
const options8 = [
  // { id: "0", name: "待提交" },
  { id: "1", name: "待完善成本" },
  { id: "2", name: "待产品审核" },
  { id: "3", name: "待财务定价" },
  { id: "4", name: "待财务审核定价" },
  { id: "5", name: "待上线" },
  { id: "6", name: "上线成功" },
  { id: "7", name: "审核失败" },
  { id: "8", name: "已下线" },
]

const options9 = [
  { id: "0", name: "现结" },
  { id: "1", name: "月清" },
  { id: "2", name: "双月清" },
]
const costColumns = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },
  {
    prop: "supplierName",
    label: "供应商名称",
    _slot_: "supplierName",
    span: 12,
  },
  {
    prop: "brand_name",
    label: "品牌",
    span: 12,
  },
  {
    prop: "cat",
    label: "分类",
    _slot_: "cat",
    span: 12,
  },

  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 6,
  },
  {
    prop: "unit",
    label: "单位",
    span: 6,
  },
  {
    prop: "delivery_place_cn",
    label: "发货地",
    span: 9,
  },
  {
    prop: "expire_day",
    label: "有效期",
    append: '天',
    span: 5,
  },
  {
    prop: "delivery_day",
    label: "物流时间",
    append: '天',
    span: 5,
  },
  {
    prop: "work_day",
    label: "生产工期",
    append: '天',
    span: 5,
  },
  {
    prop: "origin_place_cn",
    label: "产地",
    span: 9,
  },
  {
    prop: "pay_way",
    label: "付款方式",
    _slot_: "pay_way",
    span: 5,
  },
  {
    prop: "creater",
    label: "反馈人",
    span: 4,
  },
  {
    prop: "addtime",
    label: "反馈时间",
    span: 6,
  },


 


  {
    prop: "weight",
    label: "商品总克重",
    append: 'g',
    span: 6,
  },

  {
    prop: "supply_area",
    label: "供货区域",
    _slot_: "supply_area",
    span: 6,
  },
 

  {
    prop: "send_way",
    label: "发货方式",
    _slot_: "send_way",
    span: 6,
  },
  {
    prop: "total_fee",
    label: "成本合计",
    append: '元',
    span: 6,
  },
  {
    prop: "cert_fee",
    label: "证书费",
    append: '元',
    span: 6,
  },
  {
    prop: "pakge_fee",
    label: "包装费",
    append: '元',
    span: 6,
  },

  {
    prop: "cost_fee",
    label: "工艺费",
    append: '元',
    span: 6,
  },

  {
    prop: "mark_fee",
    label: "加标费",
    append: '元',
    span: 6,
  },

  {
    prop: "demo_fee",
    label: "打样费",
    append: '元',
    span: 6,
  },

  {
    prop: "open_fee",
    label: "开模费",
    append: '元',
    span: 6,
  },

  {
    prop: "delivery_fee",
    label: "物流费",
    append: '元',
    span: 6,
  },
  {
    prop: "nake_fee",
    label: "裸价",
    append: '元',
    span: 6,
  },







  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
    span: 24,
  },

  {
    prop: "remark",
    label: "采返备注",
    span: 24,
  },
  {
    prop: "cost_desc",
    label: "工艺说明",
    span: 24,
  },
  {
    prop: "good_img",
    _slot_: "good_img",
    label: "商品图片",
    span: 24,
  },





]

export { columns, statusOptions, order_type_options, options1, options2, options3, options4, options5, options6, options7, options8, options9, costColumns }